Bug 835944 - [abrt] simple-scan-3.4.1-1.fc17: g_logv: Process /usr/bin/simple-scan was killed by signal 5 (SIGTRAP)
[abrt] simple-scan-3.4.1-1.fc17: g_logv: Process /usr/bin/simple-scan was kil...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: simple-scan (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
abrt_hash:118f4bffc0975744a858b8249e4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-27 11:23 EDT by Juan Orti
Modified: 2013-08-01 00:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 00:48:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (55.70 KB, text/plain)
2012-06-27 11:23 EDT, Juan Orti
no flags Details
File: maps (74.91 KB, text/plain)
2012-06-27 11:23 EDT, Juan Orti
no flags Details
File: dso_list (18.89 KB, text/plain)
2012-06-27 11:23 EDT, Juan Orti
no flags Details

  None (edit)
Description Juan Orti 2012-06-27 11:23:36 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        simple-scan
comment:        I stopped a scan, modified the scan resolution and when I pressed scan again, it crashed
crash_function: g_logv
executable:     /usr/bin/simple-scan
kernel:         3.3.7-1.fc17.x86_64
pid:            3443
pwd:            /home/juan
time:           sáb 02 jun 2012 10:28:13 CEST
uid:            1000
username:       juan
xsession_errors: 

backtrace:      Text file, 57032 bytes
dso_list:       Text file, 19346 bytes
maps:           Text file, 76710 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/juan/2

core_backtrace:
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x4e851 g_logv libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x4e9e2 g_log libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x4d2fc g_malloc libglib-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2f063 g_type_interfaces libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x28dd9 g_signal_emit_by_name libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x206d8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x28cd0 g_signal_emit_by_name libgobject-2.0.so.0 -
:7b840a4c30e81986d48f0913e3073021157c2fe0 0x19030 - [exe] -
:7b840a4c30e81986d48f0913e3073021157c2fe0 0x199b0 - [exe] -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x206d8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x28cd0 g_signal_emit_by_name libgobject-2.0.so.0 -
:7b840a4c30e81986d48f0913e3073021157c2fe0 0x29f26 scan_button_clicked_cb [exe] -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf943 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x28cd0 g_signal_emit_by_name libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf943 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0xbba38 - libgtk-3.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x20003 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0xb9d53 - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x17adcf - libgtk-3.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf943 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2a2d0e - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x178d96 - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x17a9a3 gtk_main_do_event libgtk-3.so.0 -
:8b33feb27b2125997520fdd21c90c42a65e438f1 0x48e62 - libgdk-3.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x179d65 gtk_main libgtk-3.so.0 -
:7b840a4c30e81986d48f0913e3073021157c2fe0 0x1b415 application_main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=foo.example.com
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/juan/keyring-2VJa0S
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=juan
:USERNAME=juan
:MAIL=/var/spool/mail/juan
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/juan/.local/bin:/home/juan/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/juan
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1524
:LANG=es_ES.utf8
:GDM_LANG=es_ES.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/juan
:SHLVL=1
:LOGNAME=juan
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-NAKYz422UY,guid=4a1f640924d2eef61d6a07ab00000020
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/juan
:DISPLAY=:0
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-juan-23KOnS/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1527,unix/unix:/tmp/.ICE-unix/1527
:SSH_AUTH_SOCK=/run/user/juan/keyring-2VJa0S/ssh
:GPG_AGENT_INFO=/run/user/juan/keyring-2VJa0S/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/simple-scan.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=3443
:DESKTOP_STARTUP_ID=gnome-shell-1754-xenon.miceliux.com-simple-scan-1_TIME1900863

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 125911               processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       125911               125911               signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/juan/.xsession-errors
:pos:	27725
:flags:	0102002
:2:/home/juan/.xsession-errors
:pos:	27725
:flags:	0102002
:3:socket:[50397]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[46547]
:pos:	0
:flags:	02004002
:6:/home/juan/.cache/simple-scan/simple-scan.log
:pos:	57344
:flags:	0100001
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:socket:[33582]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:socket:[50398]
:pos:	0
:flags:	02004002
:12:pipe:[40457]
:pos:	0
:flags:	00
:13:pipe:[40457]
:pos:	0
:flags:	01
:14:anon_inode:[timerfd]
:pos:	0
:flags:	04002
:15:socket:[48320]
:pos:	0
:flags:	02004002
:16:anon_inode:inotify
:pos:	0
:flags:	02004000
:17:/dev/urandom
:pos:	0
:flags:	02100000
:18:socket:[50406]
:pos:	0
:flags:	02000002
:19:socket:[47787]
:pos:	0
:flags:	02000002
:20:socket:[48536]
:pos:	0
:flags:	02000002
:21:socket:[45299]
:pos:	0
:flags:	02004002
:22:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

var_log_messages:
:Jun  2 10:28:13 xenon kernel: [ 1988.881871] simple-scan[3443] trap int3 ip:364724e851 sp:7fff008f3390 error:0
:Jun  2 10:28:13 xenon abrt[4247]: Saved core dump of pid 3443 (/usr/bin/simple-scan) to /var/spool/abrt/ccpp-2012-06-02-10:28:13-3443 (57417728 bytes)
Comment 1 Juan Orti 2012-06-27 11:23:41 EDT
Created attachment 594815 [details]
File: backtrace
Comment 2 Juan Orti 2012-06-27 11:23:44 EDT
Created attachment 594816 [details]
File: maps
Comment 3 Juan Orti 2012-06-27 11:23:47 EDT
Created attachment 594817 [details]
File: dso_list
Comment 4 David Saxby 2012-07-15 13:20:29 EDT
I attempted a network scann from the auto document feeder (ADF) on and OfficeJet 8600 pro. On choosing the option to scan from ADF, the scanner began to operate but simple scan crashed. Before this, I had successfully scanned a previous document.

Note that I tried a number of times to reproduce the problem, but I haven't succeeded in making simple scan crash again. Therefore, I am not sure of the exact circumstances for causing the crash.


backtrace_rating: 4
Package: simple-scan-3.4.1-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Theophanis Kontogiannis 2012-08-11 04:39:09 EDT
After a scan, New and then Crop page to A4. It crashed.

backtrace_rating: 4
Package: simple-scan-3.4.1-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Daniel Rindt 2012-08-12 08:01:13 EDT
Just clicked on new scan

backtrace_rating: 4
Package: simple-scan-3.4.1-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Fedora End Of Life 2013-07-03 20:46:25 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-08-01 00:48:37 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.